List customers
curl --request GET \
--url https://cicini.com/api/public/v1/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://cicini.com/api/public/v1/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cicini.com/api/public/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"supportId": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"primaryPhone": "<string>",
"secondaryPhone": "<string>",
"preferredContactMethod": "<string>",
"dateOfBirth": "<string>",
"gender": "<string>",
"notes": "<string>",
"marketingConsent": true,
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"preferredStaffId": "<string>",
"isActive": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"hasMore": true
}
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}Customers
List customers
Returns a paginated list of active customers for the organization associated with the API key.
GET
/
api
/
public
/
v1
/
customers
List customers
Authorizations
Organization API key. Prefix with Bearer. Test keys start with cic_test_; live keys with cic_live_.
Query Parameters
Max items to return (1–100). Default: 50.
Required range:
1 <= x <= 100Example:
50
Number of items to skip. Default: 0.
Required range:
x >= 0Example:
0
⌘I